# Generated from asana_cli_gem-0.1.3.gem by gem2rpm -*- rpm-spec -*-
%global gem_name asana_cli_gem

Name: rubygem-%{gem_name}
Version: 0.1.3
Release: 1%{?dist}
Summary: CLI to display information about strengthening yoga poses, or asanas, using Yoga Journal's pose library
License: MIT
URL: https://github.com/kreopelle/asana_cli_gem
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(gem-release)
# BuildRequires: rubygem(pry)
BuildArch: noarch

%description
Yoga Journal is a magazine that ‘provides authoritative information and
insights about yoga’. Their website contains a yoga pose library with detailed
information about many poses, also known as asanas. This gem scrapes their
collection of strengthening yoga poses
(https://www.yogajournal.com/poses/types/strength) and uses a CLI interface to
allow a user to access detailed data about individual poses.   Upon entering
the application, the user sees a list of strengthening yoga poses. The user is
then prompted to either enter a number corresponding to the yoga pose they
would like to learn more about, type ‘list’ to view the list again, or exit to
end the program. When the user selects a pose, the individual pose page is
scraped (ex: https://www.yogajournal.com/poses/full-boat-pose) and the English
name, Sanskrit name, summary, beginner’s tip, and url are displayed. A user
may click on the URL to open it in their default browser. Some poses do not
have Sanskrit names or beginner’s tips. If so, those poses do not have the
“Sanskrit Name” or “Beginner’s Tip” displayed in their detail view.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/asana-cli-gem
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/CODE_OF_CONDUCT.md
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/asana_cli_gem.gemspec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.1.3-1
- Initial package
